package config

const (
	LOG_LEVEL_OFF = iota
	LOG_LEVEL_INFO
	LOG_LEVEL_DEBUG
)

var (
	// Database

	DBConnection      = "root:password@tcp(localhost:3306)/karmen_dev"
	DBConnectionOpts  = "charset=utf8&parseTime=True&loc=Local"
	ResetOnBoot       = false
	AutoMigrateOnBoot = true
	RegenerateOnBoot  = false

	AdminUsername = "admin"
	AdminPassword = "admin"

	Domain = "foo.org"

	// LDAP

	LDAPHostAddress  = "localhost"
	LDAPHostPort     = 389
	LDAPBindPassword = "admin"
	LDAPBindUser     = "cn=admin,dc=foo,dc=org"
	LDAPRootDN       = "dc=foo,dc=org"

	LDAPPeopleOU        = "Persone"
	LDAPTeacherOU       = "Docenti"
	LDAPGroupsOU        = "Gruppi"
	LDAPTeachersGroupOU = "Docenti"

	// LimeSurvey Remote Control URL

	LSAPIRemoteControlUrl = "http://localhost:8081/index.php/admin/remotecontrol"
	LSAPIUsername         = "admin"
	LSAPIPassword         = "password"

	// WebDAV

	WebDAVUrl      = "http://localhost:8082/remote.php/webdav/"
	WebDavUsername = "admin"
	WebDAVPassword = "password"

	// Document generator

	DocumentRootDir  = "documents/"
	DocumentConfigFn = "config.yaml"

	// Logging

	LogLevel = LOG_LEVEL_DEBUG
)
